<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_35) on Tue Jan 15 11:12:04 CET 2013 -->
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<TITLE>
org.apache.http.client (HttpComponents Client 4.2.3 API)
</TITLE>

<META NAME="date" CONTENT="2013-01-15">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">


</HEAD>

<BODY BGCOLOR="white">
<FONT size="+1" CLASS="FrameTitleFont">
<A HREF="../../../../org/apache/http/client/package-summary.html" target="classFrame">org.apache.http.client</A></FONT>
<TABLE BORDER="0" WIDTH="100%" SUMMARY="">
<TR>
<TD NOWRAP><FONT size="+1" CLASS="FrameHeadingFont">
Interfaces</FONT>&nbsp;
<FONT CLASS="FrameItemFont">
<BR>
<A HREF="AuthCache.html" title="interface in org.apache.http.client" target="classFrame"><I>AuthCache</I></A>
<BR>
<A HREF="AuthenticationHandler.html" title="interface in org.apache.http.client" target="classFrame"><I>AuthenticationHandler</I></A>
<BR>
<A HREF="AuthenticationStrategy.html" title="interface in org.apache.http.client" target="classFrame"><I>AuthenticationStrategy</I></A>
<BR>
<A HREF="BackoffManager.html" title="interface in org.apache.http.client" target="classFrame"><I>BackoffManager</I></A>
<BR>
<A HREF="ConnectionBackoffStrategy.html" title="interface in org.apache.http.client" target="classFrame"><I>ConnectionBackoffStrategy</I></A>
<BR>
<A HREF="CookieStore.html" title="interface in org.apache.http.client" target="classFrame"><I>CookieStore</I></A>
<BR>
<A HREF="CredentialsProvider.html" title="interface in org.apache.http.client" target="classFrame"><I>CredentialsProvider</I></A>
<BR>
<A HREF="HttpClient.html" title="interface in org.apache.http.client" target="classFrame"><I>HttpClient</I></A>
<BR>
<A HREF="HttpRequestRetryHandler.html" title="interface in org.apache.http.client" target="classFrame"><I>HttpRequestRetryHandler</I></A>
<BR>
<A HREF="RedirectHandler.html" title="interface in org.apache.http.client" target="classFrame"><I>RedirectHandler</I></A>
<BR>
<A HREF="RedirectStrategy.html" title="interface in org.apache.http.client" target="classFrame"><I>RedirectStrategy</I></A>
<BR>
<A HREF="RequestDirector.html" title="interface in org.apache.http.client" target="classFrame"><I>RequestDirector</I></A>
<BR>
<A HREF="ResponseHandler.html" title="interface in org.apache.http.client" target="classFrame"><I>ResponseHandler</I></A>
<BR>
<A HREF="ServiceUnavailableRetryStrategy.html" title="interface in org.apache.http.client" target="classFrame"><I>ServiceUnavailableRetryStrategy</I></A>
<BR>
<A HREF="UserTokenHandler.html" title="interface in org.apache.http.client" target="classFrame"><I>UserTokenHandler</I></A></FONT></TD>
</TR>
</TABLE>


<TABLE BORDER="0" WIDTH="100%" SUMMARY="">
<TR>
<TD NOWRAP><FONT size="+1" CLASS="FrameHeadingFont">
Exceptions</FONT>&nbsp;
<FONT CLASS="FrameItemFont">
<BR>
<A HREF="CircularRedirectException.html" title="class in org.apache.http.client" target="classFrame">CircularRedirectException</A>
<BR>
<A HREF="ClientProtocolException.html" title="class in org.apache.http.client" target="classFrame">ClientProtocolException</A>
<BR>
<A HREF="HttpResponseException.html" title="class in org.apache.http.client" target="classFrame">HttpResponseException</A>
<BR>
<A HREF="NonRepeatableRequestException.html" title="class in org.apache.http.client" target="classFrame">NonRepeatableRequestException</A>
<BR>
<A HREF="RedirectException.html" title="class in org.apache.http.client" target="classFrame">RedirectException</A></FONT></TD>
</TR>
</TABLE>


</BODY>
</HTML>
